Terminology - Classify Medication

Classifies a medication.

Guides

See the Programming Guide for general Terminology API information.

Endpoints

POST /terminology/v1/classify/medication

POST /terminology/v1/classify/medication/batch

Input

The body specifies the input coding. See the Classify API Overview for details.

Supported Code Systems

The input must be from one of the following code systems:

  • RxNorm
  • NDC
  • CVX
  • SNOMED

Body Parameters

code string (required)

Code value.

system string (required)

The source code system (as a name or URL).

display string

Display string.

Request Headers

Header Value
x-api-key YOUR_API_KEY, obtained from the Developer Portal
content-type application/json
accept application/json

Output

The output provides a set of classifications based on domain. See the Classify API Overview for details.

medRtTherapeuticClass string[]

Therapeutic Class based on the MED-RT system.

rxNormIngredient string[]

Ingredient(s) provided by RxNorm. Contains multiple ingredients (MIN) if present, otherwise single ingredient (IN).

rxNormStrength string

Strength provided by RxNorm (RXN_AVAILABLE_STRENGTH or RXN_STRENGTH attributes). Typically blank if medication has multiple ingredients.

rxNormGeneric boolean

Based on RxNorm attribute. If no branded name (BN) is present, returns true.

covid19Rx string (categorical)

One of: vaccination, immunoglobulin, medication. Based on proprietary value sets developed from WHO, CDC, SNOMED, RxNorm, and AMA coding advisories.

immunization boolean

Indicates whether this is an immunization.

Details

The following sections provide additional details about the message handling.

Batch Mode

For batch mode, specify the body parameters in the items field, as explained in Batch Operations. The output data will then contain an items array with the usual classify output for each item.

Example

Try It
Try out the operations, with examples, in the Developer Portal Sandbox.
Sample Classify Input
{
    "code": "861004",
    "system": "RxNorm"
}
Sample Classify Response
{
    "medRtTherapeuticClass": [
        "Blood Glucose Regulators"
    ],
    "rxNormIngredient": [
        "metformin"
    ],
    "rxNormStrength": "1000MG",
    "rxNormGeneric": true,
    "immunization": false,
    "covid19Rx": null
}      

For additional examples, or to try out the API live, see the Developer Portal Sandbox